Index: src/backend/utils/adt/formatting.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/backend/utils/adt/formatting.c,v
retrieving revision 1.126
diff -c -r1.126 formatting.c
*** src/backend/utils/adt/formatting.c	16 Feb 2007 10:55:47 -0000	1.126
--- src/backend/utils/adt/formatting.c	17 Feb 2007 01:37:57 -0000
***************
*** 16,23 ****
   *	 Cache & Memory:
   *	Routines use (itself) internal cache for format pictures.
   *
!  *	The cache uses a static buffers and is persistent across transactions.
!  *	If format-picture is bigger than cache buffer, parser is called always.
   *
   *	 NOTE for Number version:
   *	All in this version is implemented as keywords ( => not used
--- 16,24 ----
   *	 Cache & Memory:
   *	Routines use (itself) internal cache for format pictures.
   *
!  *	The cache uses a static buffer and is persistent across transactions.  If
!  *	the format-picture is bigger than the cache buffer, the parser is called
!  *	always.
   *
   *	 NOTE for Number version:
   *	All in this version is implemented as keywords ( => not used
Index: src/test/regress/expected/timestamptz.out
===================================================================
RCS file: /projects/cvsroot/pgsql/src/test/regress/expected/timestamptz.out,v
retrieving revision 1.25
diff -c -r1.25 timestamptz.out
*** src/test/regress/expected/timestamptz.out	16 Feb 2007 17:49:15 -0000	1.25
--- src/test/regress/expected/timestamptz.out	17 Feb 2007 01:37:58 -0000
***************
*** 720,730 ****
      | Mon Jan 01 17:32:01 2001 PST    |       1 |  1000 |  1000000
  (56 rows)
  
! SELECT '' AS "54", d1 as "timestamp",
     date_part( 'isoyear', d1) AS isoyear, date_part( 'week', d1) AS week,
     date_part( 'dow', d1) AS dow
     FROM TIMESTAMPTZ_TBL WHERE d1 BETWEEN '1902-01-01' AND '2038-01-01';
!  54 |            timestamp            | isoyear | week | dow 
  ----+---------------------------------+---------+------+-----
      | Wed Dec 31 16:00:00 1969 PST    |    1970 |    1 |   3
      | Mon Feb 10 17:32:01 1997 PST    |    1997 |    7 |   1
--- 720,730 ----
      | Mon Jan 01 17:32:01 2001 PST    |       1 |  1000 |  1000000
  (56 rows)
  
! SELECT '' AS "54", d1 as timestamptz,
     date_part( 'isoyear', d1) AS isoyear, date_part( 'week', d1) AS week,
     date_part( 'dow', d1) AS dow
     FROM TIMESTAMPTZ_TBL WHERE d1 BETWEEN '1902-01-01' AND '2038-01-01';
!  54 |            timestamptz          | isoyear | week | dow 
  ----+---------------------------------+---------+------+-----
      | Wed Dec 31 16:00:00 1969 PST    |    1970 |    1 |   3
      | Mon Feb 10 17:32:01 1997 PST    |    1997 |    7 |   1
Index: src/test/regress/sql/timestamptz.sql
===================================================================
RCS file: /projects/cvsroot/pgsql/src/test/regress/sql/timestamptz.sql,v
retrieving revision 1.13
diff -c -r1.13 timestamptz.sql
*** src/test/regress/sql/timestamptz.sql	16 Feb 2007 17:49:15 -0000	1.13
--- src/test/regress/sql/timestamptz.sql	17 Feb 2007 01:37:58 -0000
***************
*** 169,175 ****
     date_part( 'usec', d1) AS usec
     FROM TIMESTAMPTZ_TBL WHERE d1 BETWEEN '1902-01-01' AND '2038-01-01';
  
! SELECT '' AS "54", d1 as "timestamp",
     date_part( 'isoyear', d1) AS isoyear, date_part( 'week', d1) AS week,
     date_part( 'dow', d1) AS dow
     FROM TIMESTAMPTZ_TBL WHERE d1 BETWEEN '1902-01-01' AND '2038-01-01';
--- 169,175 ----
     date_part( 'usec', d1) AS usec
     FROM TIMESTAMPTZ_TBL WHERE d1 BETWEEN '1902-01-01' AND '2038-01-01';
  
! SELECT '' AS "54", d1 as timestamptz,
     date_part( 'isoyear', d1) AS isoyear, date_part( 'week', d1) AS week,
     date_part( 'dow', d1) AS dow
     FROM TIMESTAMPTZ_TBL WHERE d1 BETWEEN '1902-01-01' AND '2038-01-01';
